org.apache.tomcat.dbcp.pool

## Interface ObjectPoolFactory<T>

- Type Parameters:
    `T` - the type of objects held in this pool
  All Known Implementing Classes:
    GenericObjectPoolFactory, StackObjectPoolFactory

      public interface ObjectPoolFactory<T>

  A factory interface for creating `ObjectPool`s.
  Since:
    Pool 1.0
  Author:
    Rodney Waldhoff
  See Also:
    `ObjectPool`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ObjectPool<T>` | `createPool()` Create and return a new `ObjectPool`.

- - ### Method Detail

    - #### createPool

          ObjectPool<T> createPool()
                                   throws java.lang.IllegalStateException

      Create and return a new `ObjectPool`.
      Returns:
        a new `ObjectPool`
      Throws:
        `java.lang.IllegalStateException` - when this pool factory is not configured properly

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.